#include <windows.h>
#include "hbapi.h"

int far pascal _export SMTP_LogOut( void );
int far pascal _export send_mail (
   char *SmtpServer,       char *MessageBody,
   char *Subject,          char *SenderUserId,
   char *FullSenderUserId, char *DestUserIds,
   char *FullDestUserIds,  char *CcUserIds,
   char *FullCcUserIds,    char *BccUserIds,
   char *FullBccUserIds,   char *RetPathUserId,
   char *RrcpUserId,       char *MsgComment,
   char *MailerName,       char *FileAttached,
   char *xParams,          char *xHeaders,
   char *TxtFile,          HWND hwnd,
   HFONT hfont
   );

//----------------------------------------------------------------------------//
HB_FUN_SMTP_LOGOUT()
{
   hb_retni(SMTP_LogOut()) ;
   return;
}

//----------------------------------------------------------------------------//
HB_FUN_SEND_MAILA()
{
   char *SmtpServer       = hb_parc( 1, 1 );
   char *MessageBody      = hb_parc( 1, 2 );
   char *Subject          = hb_parc( 1, 3 );
   char *SenderUserId     = hb_parc( 1, 4 );
   char *FullSenderUserId = hb_parc( 1, 5 );
   char *DestUserIds      = hb_parc( 1, 6 );
   char *FullDestUserIds  = hb_parc( 1, 7 );
   char *CcUserIds        = hb_parc( 1, 8 );
   char *FullCcUserIds    = hb_parc( 1, 9 );
   char *BccUserIds       = hb_parc( 1,10 );
   char *FullBccUserIds   = hb_parc( 1,11 );
   char *RetPathUserId    = hb_parc( 1,12 );
   char *RrcpUserId       = hb_parc( 1,13 );
   char *MsgComment       = hb_parc( 1,14 );
   char *MailerName       = hb_parc( 1,15 );
   char *FileAttached     = hb_parc( 1,16 );
   char *xParams          = hb_parc( 1,17 );
   char *xHeaders         = hb_parc( 1,18 );
   char *TxtFile          = hb_parc( 1,19 );
   HWND  hwnd             = ( HWND  ) hb_parnl(2);
   HFONT hfont            = ( HFONT ) hb_parnl(3);

   hb_retni( send_mail (
      SmtpServer       ,
      MessageBody      ,
      Subject          ,
      SenderUserId     ,
      FullSenderUserId ,
      DestUserIds      ,
      FullDestUserIds  ,
      CcUserIds        ,
      FullCcUserIds    ,
      BccUserIds       ,
      FullBccUserIds   ,
      RetPathUserId    ,
      RrcpUserId       ,
      MsgComment       ,
      MailerName       ,
      FileAttached     ,
      xParams          ,
      xHeaders         ,
      TxtFile          ,
      hwnd,
      hfont
      ));

   return;
}
